Open SCAP Library

Data Structures | Typedefs | Functions
oval_sysItem.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_agent_api_impl.h"`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_definitions_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`

## Data Structures
struct | oval_sysitem
| Each instance of Oval_sysitem represents one item. More...

## Typedefs
typedef struct oval_sysitem | oval_sysitem_t
| Represents a single <*_item> element.

## Functions
struct oval_sysitem * | oval_sysitem_new (struct oval_syschar_model *model, const char *id)
struct oval_sysitem * | oval_sysitem_clone (struct oval_syschar_model *new_model, struct oval_sysitem *old_item)
void | oval_sysitem_free (struct oval_sysitem *sysitem)
bool | oval_sysitem_iterator_has_more (struct oval_sysitem_iterator *oc_sysitem)
struct oval_sysitem * | oval_sysitem_iterator_next (struct oval_sysitem_iterator *oc_sysitem)
void | oval_sysitem_iterator_free (struct oval_sysitem_iterator *oc_sysitem)
oval_subtype_t | oval_sysitem_get_subtype (struct oval_sysitem *sysitem)
void | oval_sysitem_set_subtype (struct oval_sysitem *sysitem, oval_subtype_t subtype)
char * | oval_sysitem_get_id (struct oval_sysitem *item)
struct oval_message_iterator * | oval_sysitem_get_messages (struct oval_sysitem *item)
void | oval_sysitem_add_message (struct oval_sysitem *item, struct oval_message *message)
struct oval_sysent_iterator * | oval_sysitem_get_sysents (struct oval_sysitem *sysitem)
void | oval_sysitem_add_sysent (struct oval_sysitem *sysitem, struct oval_sysent *sysent)
oval_syschar_status_t | oval_sysitem_get_status (struct oval_sysitem *data)
void | oval_sysitem_set_status (struct oval_sysitem *data, oval_syschar_status_t status)
int | oval_sysitem_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, void *usr)
void | oval_sysitem_to_dom (struct oval_sysitem *sysitem, xmlDoc *doc, xmlNode *parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/